---
lang: en
title: 'API docs: metadata.metadataaccessor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.metadataaccessor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataAccessor](./metadata.metadataaccessor.md)

## MetadataAccessor class

A strongly-typed metadata accessor via reflection

<b>Signature:</b>

```typescript
export declare class MetadataAccessor<T, D extends DecoratorType = DecoratorType> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [key](./metadata.metadataaccessor.key.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [create(key)](./metadata.metadataaccessor.create.md) | <code>static</code> | Create a strongly-typed metadata accessor |
|  [toString()](./metadata.metadataaccessor.tostring.md) |  |  |


